# Generated from jquery-datatables-rails-2.1.10.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jquery-datatables-rails

Name: rubygem-%{gem_name}
Version: 2.2.3
Release: 1%{?dist}
Summary: jQuery datatables for rails
Group: Development/Languages
License: MIT
URL: https://github.com/rweng/jquery-datatables-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
# License from upstream repo
# wget https://raw.githubusercontent.com/rweng/jquery-datatables-rails/master/LICENSE
Source1: LICENSE
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch: noarch

%description
This gem packages the jQuery DataTables plugin for the Rails 3.1+ asset
pipeline. It provides all the basic DataTables files, and a few of
the extras.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

%gem_install

install -p -m 0644 -t ./%{gem_instdir} %{SOURCE1}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Fix permissions
find %{buildroot}%{gem_dir}/**/* -type f | xargs chmod 0644

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/app
%license %{gem_instdir}/LICENSE

%files doc
%doc %{gem_docdir}

%changelog
* Tue Sep 16 2014 Josef Stribny <jstribny@redhat.com> - 2.2.3-1
- Update to 2.2.3

* Thu Jul 24 2014 Josef Stribny <jstribny@redhat.com> - 2.1.10.0.3-1
- Initial package
